Bug 195402 - yumex 1.0.1 crash, see report
Summary: yumex 1.0.1 crash, see report
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-15 01:10 UTC by Alessandro
Modified: 2014-01-21 22:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-18 07:45:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alessandro 2006-06-15 01:10:47 UTC
Component: yumex
Version: 1.0.1
Summary: TBf1338551 yumexBase.py:674:download_packages:TypeError: cannot
concatenate 'str' and 'classobj' objects

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 128, in on_queueProcess_clicked
    if self.action.process_package_queue( pkgs, doAll):
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1055, in
process_package_queue
    if not self.process_packages():
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1250, in
process_packages
    if not self.yumexbase.process_transaction():
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 633, in
process_transaction
    self.download_packages()
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 674, in
download_packages
    errstring += err
TypeError: cannot concatenate 'str' and 'classobj' objects

Local variables in innermost frame:
err: exceptions.OSError
self: <yumex.yumexBase.yumexBase object at 0xb78f376c>
downloadpkgs: [<yum.sqlitesack.YumAvailablePackageSqlite instance at
0xb567106c>, <yum.sqlitesack.YumAvailablePackageSqlite instance at 0x99cab4c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb449cf2c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb4282e0c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb447772c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb583538c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb447724c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb5a73ecc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb55d7f4c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb3d51d2c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb3c849ec>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb5a27fcc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb59a55cc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb58e5ccc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb45d898c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb583568c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb439e24c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb59d958c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0x9ede0ac>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb588ee0c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb5634e8c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb4641dac>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb5a8eecc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb5a9716c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb4282ccc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb56346ec>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb562ebac>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb5764e2c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb58e58cc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0x99a8c0c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb5a707ec>]
txmbr: a52dec.i386 0-0.7.4-9.lvn5 - u
errstring: Errore scaricamento pacchetti:

po: a52dec - 0.7.4-9.lvn5.i386

Comment 1 Tim Lauridsen 2006-06-18 07:45:12 UTC
This will be fixed in yumex 1.0.2, i will release it very soon


Note You need to log in before you can comment on or make changes to this bug.